# 4. الاستعلام: الحصول على "SatelliteImage" المحددة

احصل على "SatelliteImage" محددة للحقل.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    الاسم
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      الاسم
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        خالية_من_السحب
        خرائط_جغرافية {
          الاسم_القصير
          رابط
          classes
          hexColorCodes
        }
        متوسط_ndvi
        
        إحصاءات {
          المؤشر
          min
          max
          avg
          mdn
          var
          std
        }
        
        موصى_به_لتحليلات_متعددة_السنوات 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      الاسم
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        خالية_من_السحب
        خرائط_جغرافية {
          الاسم_القصير
          رابط
          classes
          hexColorCodes
        }
        متوسط_ndvi
        
        إحصاءات {
          المؤشر
          min
          max
          avg
          mdn
          var
          std
        } 
        
        موصى_به_لتحليلات_متعددة_السنوات
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/4.-alastalam-alhswl-ala-satelliteimage-almhddh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
